tcp_client Class Reference

`#include <tcp_client.h>`

## Public Member Functions

| tcp_client ()
| tcp_client (std::string addr, int port)
| ~tcp_client ()
void | connect_conn ()
void | close_conn ()
void | receive_data (char *data, int length)
void | send_data (char *data, int length)
uint64_t | available_data ()
void | wait_for_data (uint64_t bytes, uint32_t timeout)

## Protected Attributes

struct sockaddr_in | socketAddr
int | s

## Constructor & Destructor Documentation

## tcp_client() [1/2]

tcp_client::tcp_client | ( |  | ) |

inline

## tcp_client() [2/2]

tcp_client::tcp_client | ( | std::string | addr,
|  | int | port
| ) |  |

## ~tcp_client()

tcp_client::~tcp_client | ( |  | ) |

## Member Function Documentation

## available_data()

uint64_t tcp_client::available_data | ( |  | ) |

Referenced by wait_for_data().

## close_conn()

void tcp_client::close_conn | ( |  | ) |

## connect_conn()

void tcp_client::connect_conn | ( |  | ) |

## receive_data()

void tcp_client::receive_data | ( | char * | data,
|  | int | length
| ) |  |

## send_data()

void tcp_client::send_data | ( | char * | data,
|  | int | length
| ) |  |

## wait_for_data()

void tcp_client::wait_for_data | ( | uint64_t | bytes,
|  | uint32_t | timeout
| ) |  |

inline

References available_data().

## Member Data Documentation

## s

int tcp_client::s

protected

## socketAddr

struct sockaddr_in tcp_client::socketAddr

protected

The documentation for this class was generated from the following file:

- tcp_client.h